Create Blueprint Request Using POST

Create Blueprint Request Using POST
Creates a blueprint request

Creates a blueprint request

Request
URI
POST
https://{vcfa-fqdn}/blueprint/api/blueprint-requests
COPY
Query Parameters
string
apiVersion
Optional

The version of the API in yyyy-MM-dd format (UTC). For versioning information please refer to /blueprint/api/about


Request Body
BlueprintRequest of type(s) application/json
Required  
{
    "blueprintId": "string",
    "blueprintVersion": "string",
    "cancelRequestedAt": "string",
    "cancelRequestedBy": "string",
    "content": "string",
    "createdAt": "string",
    "createdBy": "string",
    "deploymentId": "string",
    "deploymentName": "string",
    "description": "string",
    "destroy": false,
    "failureMessage": "string",
    "flowExecutionId": "string",
    "flowId": "string",
    "id": "string",
    "ignoreDeleteFailures": false,
    "inputs": {
        "inputs": {}
    },
    "orgId": "string",
    "plan": false,
    "projectId": "string",
    "projectName": "string",
    "reason": "string",
    "requestTrackerId": "string",
    "simulate": false,
    "status": "string",
    "targetResources": [
        "string"
    ],
    "updatedAt": "string",
    "updatedBy": "string",
    "validationMessages": [
        {
            "message": "string",
            "metadata": {
                "metadata": "string"
            },
            "path": "string",
            "resourceName": "string",
            "type": "string"
        }
    ]
}
string As uuid As uuid
blueprintId
Optional

Blueprint Id

string
blueprintVersion
Optional

Blueprint version

string As date-time As date-time
cancelRequestedAt
Read-Only  

Cancel request time

string
cancelRequestedBy
Read-Only  

Cancel requested by

string
content
Optional

Blueprint YAML content

string As date-time As date-time
createdAt
Read-Only  

Created time

string
createdBy
Read-Only  

Created by

string
deploymentId
Optional

Existing deployment Id

string
deploymentName
Optional

Name for the new deployment

string
description
Optional

Description for the new request

boolean
destroy
Optional

Destroy existing deployment, if it set to true. Default value is false.

string
failureMessage
Read-Only  

Failure message

string
flowExecutionId
Read-Only  

Flow execution Id

string
flowId
Read-Only  

Flow Id

string
id
Read-Only  

Object ID

boolean
ignoreDeleteFailures
Optional

Ignore delete failures in blueprint request

object
inputs
Optional

Blueprint request inputs

string
orgId
Read-Only  

Org ID

boolean
plan
Optional

Plan only without affecting existing deployment, if set to true. Default value is false. Cannot be combined with other flags like simulate.

string
projectId
Optional

Project ID

string
projectName
Read-Only  

Project Name

string
reason
Optional

Reason for requesting a blueprint

string
requestTrackerId
Read-Only  

Request tracker Id

boolean
simulate
Optional

Simulate blueprint request with providers, if set to true. Default value is false. Cannot be combined with other flags like Plan.

string
status
Read-Only  

Status

Enumeration: CREATED, STARTED, FINISHED, FAILED, CANCELLED
array of string
targetResources
Read-Only  

Target resources

string As date-time As date-time
updatedAt
Read-Only  

Updated time

string
updatedBy
Read-Only  

Updated by

array of object
validationMessages
Read-Only  

Validation messages

Authentication
This operation uses the following authentication methods.
Responses
201

Created

Returns BlueprintRequest of type(s) application/json
{
    "blueprintId": "string",
    "blueprintVersion": "string",
    "cancelRequestedAt": "string",
    "cancelRequestedBy": "string",
    "content": "string",
    "createdAt": "string",
    "createdBy": "string",
    "deploymentId": "string",
    "deploymentName": "string",
    "description": "string",
    "destroy": false,
    "failureMessage": "string",
    "flowExecutionId": "string",
    "flowId": "string",
    "id": "string",
    "ignoreDeleteFailures": false,
    "inputs": {
        "inputs": {}
    },
    "orgId": "string",
    "plan": false,
    "projectId": "string",
    "projectName": "string",
    "reason": "string",
    "requestTrackerId": "string",
    "simulate": false,
    "status": "string",
    "targetResources": [
        "string"
    ],
    "updatedAt": "string",
    "updatedBy": "string",
    "validationMessages": [
        {
            "message": "string",
            "metadata": {
                "metadata": "string"
            },
            "path": "string",
            "resourceName": "string",
            "type": "string"
        }
    ]
}
string As uuid As uuid
blueprintId
Optional

Blueprint Id

string
blueprintVersion
Optional

Blueprint version

string As date-time As date-time
cancelRequestedAt
Read-Only  

Cancel request time

string
cancelRequestedBy
Read-Only  

Cancel requested by

string
content
Optional

Blueprint YAML content

string As date-time As date-time
createdAt
Read-Only  

Created time

string
createdBy
Read-Only  

Created by

string
deploymentId
Optional

Existing deployment Id

string
deploymentName
Optional

Name for the new deployment

string
description
Optional

Description for the new request

boolean
destroy
Optional

Destroy existing deployment, if it set to true. Default value is false.

string
failureMessage
Read-Only  

Failure message

string
flowExecutionId
Read-Only  

Flow execution Id

string
flowId
Read-Only  

Flow Id

string
id
Read-Only  

Object ID

boolean
ignoreDeleteFailures
Optional

Ignore delete failures in blueprint request

object
inputs
Optional

Blueprint request inputs

string
orgId
Read-Only  

Org ID

boolean
plan
Optional

Plan only without affecting existing deployment, if set to true. Default value is false. Cannot be combined with other flags like simulate.

string
projectId
Optional

Project ID

string
projectName
Read-Only  

Project Name

string
reason
Optional

Reason for requesting a blueprint

string
requestTrackerId
Read-Only  

Request tracker Id

boolean
simulate
Optional

Simulate blueprint request with providers, if set to true. Default value is false. Cannot be combined with other flags like Plan.

string
status
Read-Only  

Status

Enumeration: CREATED, STARTED, FINISHED, FAILED, CANCELLED
array of string
targetResources
Read-Only  

Target resources

string As date-time As date-time
updatedAt
Read-Only  

Updated time

string
updatedBy
Read-Only  

Updated by

array of object
validationMessages
Read-Only  

Validation messages


202

Accepted

Returns BlueprintRequest of type(s) application/json
"BlueprintRequest Object"
string As uuid As uuid
blueprintId
Optional

Blueprint Id

string
blueprintVersion
Optional

Blueprint version

string As date-time As date-time
cancelRequestedAt
Read-Only  

Cancel request time

string
cancelRequestedBy
Read-Only  

Cancel requested by

string
content
Optional

Blueprint YAML content

string As date-time As date-time
createdAt
Read-Only  

Created time

string
createdBy
Read-Only  

Created by

string
deploymentId
Optional

Existing deployment Id

string
deploymentName
Optional

Name for the new deployment

string
description
Optional

Description for the new request

boolean
destroy
Optional

Destroy existing deployment, if it set to true. Default value is false.

string
failureMessage
Read-Only  

Failure message

string
flowExecutionId
Read-Only  

Flow execution Id

string
flowId
Read-Only  

Flow Id

string
id
Read-Only  

Object ID

boolean
ignoreDeleteFailures
Optional

Ignore delete failures in blueprint request

object
inputs
Optional

Blueprint request inputs

string
orgId
Read-Only  

Org ID

boolean
plan
Optional

Plan only without affecting existing deployment, if set to true. Default value is false. Cannot be combined with other flags like simulate.

string
projectId
Optional

Project ID

string
projectName
Read-Only  

Project Name

string
reason
Optional

Reason for requesting a blueprint

string
requestTrackerId
Read-Only  

Request tracker Id

boolean
simulate
Optional

Simulate blueprint request with providers, if set to true. Default value is false. Cannot be combined with other flags like Plan.

string
status
Read-Only  

Status

Enumeration: CREATED, STARTED, FINISHED, FAILED, CANCELLED
array of string
targetResources
Read-Only  

Target resources

string As date-time As date-time
updatedAt
Read-Only  

Updated time

string
updatedBy
Read-Only  

Updated by

array of object
validationMessages
Read-Only  

Validation messages


400

Bad Request

Operation doesn't return any data structure

401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/blueprint/api/blueprint-requests